FlavorContainer (Gradle API 9.7.0)
Description: declaration: package: org.gradle.nativeplatform, interface: FlavorContainer

# Interface FlavorContainer

All Superinterfaces:
  `Collection<Flavor>, Configurable<NamedDomainObjectContainer<Flavor>>, DomainObjectCollection<Flavor>, DomainObjectSet<Flavor>, Iterable<Flavor>, NamedDomainObjectCollection<Flavor>, NamedDomainObjectContainer<Flavor>, NamedDomainObjectSet<Flavor>, Set<Flavor>`

@Incubating @Deprecated public interface FlavorContainer extends NamedDomainObjectContainer<Flavor>
Deprecated.
The Gradle software model is deprecated and will be removed in Gradle 10. Use the new component model (e.g. `cpp-application`, `cpp-library`, `swift-application`, `swift-library`, `xctest`) instead.
A container of `Flavor`s.

If no flavor is explicitly configured, will contain a single `Flavor` named 'default'. Any flavors explicitly configured will overwrite the default flavor.

- ## Method Summary

  ### Methods inherited from interface Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods inherited from interface DomainObjectCollection

  `addAllLater, addLater, all, all, configureEach, disallowChanges, getElements, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

  ### Methods inherited from interface Iterable

  `forEach`

  ### Methods inherited from interface NamedDomainObjectCollection

  `add, addAll, addRule, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getByName, getCollectionSchema, getNamer, getNames, getRules, named, named, named, named`

  ### Methods inherited from interface NamedDomainObjectContainer

  `configure, create, create, create, maybeCreate, register, register`

  ### Methods inherited from interface NamedDomainObjectSet

  `findAll, matching, matching, named, withType`

  ### Methods inherited from interface Set

  `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`